types: List work types

API: crossref.org:crossref-api
Endpoint: /types
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 424ms

Description

Get a list of all work types in Crossref.

Examples (2)

List all work types curl
curl 'https://api.crossref.org/types' \
  -H 'User-Agent: RobustAPI-Probe/1.0'
import requests

resp = requests.get(
    "https://api.crossref.org/types",
    headers={
        'User-Agent': 'RobustAPI-Probe/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("crossref")
result = api.fetch("types")

for item in result:
    print(item)
const resp = await fetch("https://api.crossref.org/types", {
  headers: {
    "User-Agent": "RobustAPI-Probe/1.0",
  },
});
const data = await resp.json();
List work types with polite pool identification curl
curl 'https://api.crossref.org/types?mailto=probe%40robustapi.dev' \
  -H 'User-Agent: RobustAPI-Probe/1.0'
import requests

resp = requests.get(
    "https://api.crossref.org/types",
    params={
        'mailto': 'probe@robustapi.dev',
    },
    headers={
        'User-Agent': 'RobustAPI-Probe/1.0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("crossref")
result = api.fetch("types", mailto="probe@robustapi.dev")

for item in result:
    print(item)
const resp = await fetch("https://api.crossref.org/types?mailto=probe%40robustapi.dev", {
  headers: {
    "User-Agent": "RobustAPI-Probe/1.0",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:24:18.201235 200 424ms
2026-04-16 01:27:18.349345 200 412ms
2026-04-15 03:07:33.838006 200 411ms
2026-04-15 02:27:32.463741 200 410ms
2026-04-14 03:26:20.281082 200 377ms
2026-04-14 03:02:40.633519 200 397ms
2026-04-12 14:51:19.791715 200 394ms
2026-04-12 12:41:13.316576 200 388ms
2026-04-10 02:42:13.018355 200 329ms
2026-04-10 02:30:05.855679 200 351ms
2026-04-09 01:16:53.573068 200 405ms
2026-04-09 00:45:31.501149 200 396ms
2026-04-08 07:42:29.388122 200 480ms
2026-04-08 00:02:40.838105 200 424ms
2026-04-07 01:43:14.544875 200 428ms
2026-04-07 01:35:14.161070 200 413ms
2026-04-06 04:56:51.945459 200 485ms
2026-04-06 04:01:13.061248 200 482ms
2026-04-05 14:23:49.017932 200 561ms
2026-04-05 02:53:18.185816 200 502ms
2026-04-05 01:01:34.433779 200 457ms
2026-04-04 03:19:11.745048 200 436ms
2026-04-04 03:15:25.040540 200 395ms
2026-04-03 12:38:28.779782 200 411ms
2026-04-03 12:34:40.961737 200 470ms
2026-03-30 03:05:48.112096 200 375ms
2026-03-30 02:38:16.323473 200 408ms
2026-03-29 13:24:00.766483 200 393ms
2026-03-29 12:41:39.232390 200 398ms
2026-03-23 09:28:00.355919 200 352ms
2026-03-23 09:00:38.275616 200 349ms